Ubuntu

Hybrid graphics enablement in 12.04.4

Reported by Alberto Milone on 2013-12-09
28
This bug affects 2 people
Affects Status Importance Assigned to Milestone
bbswitch (Ubuntu)
Medium
Alberto Milone
Precise
Medium
Alberto Milone
jockey (Ubuntu)
Medium
Alberto Milone
lightdm (Ubuntu)
Medium
Alberto Milone
nvidia-graphics-drivers-173 (Ubuntu)
Medium
Alberto Milone
nvidia-graphics-drivers-304 (Ubuntu)
Medium
Alberto Milone
nvidia-graphics-drivers-304-updates (Ubuntu)
Medium
Alberto Milone
nvidia-graphics-drivers-331 (Ubuntu)
Medium
Alberto Milone
nvidia-graphics-drivers-331-updates (Ubuntu)
Medium
Alberto Milone
nvidia-prime (Ubuntu)
Medium
Alberto Milone
Precise
Medium
Alberto Milone
nvidia-settings (Ubuntu)
Medium
Alberto Milone
screen-resolution-extra (Ubuntu)
Undecided
Alberto Milone
Precise
Medium
Alberto Milone

Bug Description

SRU request:

Please accept the following packages in precise-proposed.

lightdm
nvidia-prime
nvidia-graphics-drivers-331
nvidia-graphics-drivers-331-updates
nvidia-graphics-drivers-304
nvidia-graphics-drivers-304-updates
nvidia-graphics-drivers-173
nvidia-settings
screen-resolution-extra
bbswitch

[Rationale]
This is the result of the HWE effort to bring power management to systems with NVIDIA Optimus.

[Impact]
Without this work, we keep both GPUs on all the time, thus heavily impacting on battery life. Thanks to this work, it is now possible to easily disable the discrete card when raw power is not needed.

Furthermore nvidia-prime has better hardware detection now, and won't try to enable hybrid graphics on desktop systems any more.

As for the technical details:
* bbswitch is a backport of the package that now lives in main in 14.04.
* The actual work happened in lightdm, nvidia-331, nvidia-331-updates, nvidia-prime, screen-resolution-extra, and nvidia-settings.
* nvidia-settings now replaces all the different nvidia-settings flavours, so as to reduce the maintainance effort. I patched the app so that it checks the driver version (at runtime) and doesn't expose features that older driver releases do not support.
* nvidia-331 and nvidia-331-updates replace 319 and 319-updates. These are the new LTS releases by NVIDIA.
* nvidia-304 and nvidia-304-updates recommend the new nvidia-settings, include a security update, and build against the upcoming Linux 3.11 (lts-saucy).
* nvidia-173, in addition to being compatible with Linux 3.11 (lts-saucy), also introduces transitional packages for 173-updates, as it doesn't make sense to maintain a separate -updates flavour any more.

[Test Case]
After installing the update, users should be able to boot the system as usual, with no regressions of any kind.

* Systems with a single NVIDIA card: nvidia-prime will detect the hardware and do nothing at all on unsupported systems (such as the one card use case, or the desktop use case)

* Systems with NVIDIA Optimus: nvidia-prime will preserve its previous behaviour by leaving both GPUs on. Users can launch nvidia-settings and switch to the power profile that they need.

[Regression Potential]
Low. The new features are enabled only if the user manually selects them.

affects: bbswitch (Ubuntu) → nvidia-graphics-drivers-319 (Ubuntu)
Changed in nvidia-graphics-drivers-319 (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
status: New → In Progress
importance: Undecided → Medium
milestone: none → ubuntu-12.04.4
Changed in bbswitch (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-prime (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in bbswitch (Ubuntu):
status: New → In Progress
Changed in nvidia-prime (Ubuntu):
status: New → In Progress
Changed in bbswitch (Ubuntu):
importance: Undecided → Medium
Changed in nvidia-prime (Ubuntu):
importance: Undecided → Medium
description: updated
Changed in screen-resolution-extra (Ubuntu):
status: New → In Progress
Changed in nvidia-graphics-drivers-319-updates (Ubuntu):
status: New → In Progress
assignee: nobody → Alberto Milone (albertomilone)
Changed in screen-resolution-extra (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
Changed in nvidia-graphics-drivers-319 (Ubuntu Precise):
assignee: nobody → Alberto Milone (albertomilone)
status: New → In Progress
Changed in bbswitch (Ubuntu Precise):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
milestone: none → ubuntu-12.04.4
status: New → In Progress
Changed in bbswitch (Ubuntu):
status: In Progress → Invalid
Changed in nvidia-graphics-drivers-319 (Ubuntu Precise):
importance: Undecided → Medium
milestone: none → ubuntu-12.04.4
Changed in nvidia-graphics-drivers-319 (Ubuntu):
status: In Progress → Invalid
milestone: ubuntu-12.04.4 → none
Changed in nvidia-graphics-drivers-319-updates (Ubuntu):
status: In Progress → Invalid
assignee: Alberto Milone (albertomilone) → nobody
Changed in screen-resolution-extra (Ubuntu Precise):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
milestone: none → ubuntu-12.04.4
status: New → In Progress
Changed in screen-resolution-extra (Ubuntu):
status: In Progress → Invalid
Changed in nvidia-prime (Ubuntu Precise):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
milestone: none → ubuntu-12.04.4
status: New → In Progress
no longer affects: nvidia-graphics-drivers-319 (Ubuntu)
no longer affects: nvidia-graphics-drivers-319 (Ubuntu Precise)
no longer affects: nvidia-graphics-drivers-319-updates (Ubuntu)
no longer affects: nvidia-graphics-drivers-319-updates (Ubuntu Precise)
no longer affects: nvidia-graphics-drivers-331 (Ubuntu)
no longer affects: nvidia-graphics-drivers-331 (Ubuntu Trusty)
no longer affects: bbswitch (Ubuntu Trusty)
no longer affects: nvidia-graphics-drivers-331-updates (Ubuntu Trusty)
no longer affects: nvidia-prime (Ubuntu Trusty)
no longer affects: screen-resolution-extra (Ubuntu Trusty)
Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
milestone: none → ubuntu-12.04.4
status: New → In Progress
Changed in nvidia-graphics-drivers-331 (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
milestone: none → ubuntu-12.04.4
status: New → In Progress
Changed in nvidia-graphics-drivers-173 (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
milestone: none → ubuntu-12.04.4
status: New → In Progress
Changed in nvidia-graphics-drivers-304 (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
milestone: none → ubuntu-12.04.4
status: New → In Progress
Changed in nvidia-graphics-drivers-304-updates (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
milestone: none → ubuntu-12.04.4
status: New → In Progress
description: updated
Changed in nvidia-prime (Ubuntu):
status: In Progress → Invalid
Changed in nvidia-settings (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress

Hello Alberto, or anyone else affected,

Accepted nvidia-settings into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/nvidia-settings/331.20-0ubuntu0.0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: added: verification-needed
Chris Halse Rogers (raof) wrote :

Hello Alberto, or anyone else affected,

Accepted nvidia-graphics-drivers-304-updates into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/nvidia-graphics-drivers-304-updates/304.116-0ubuntu0.0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in lightdm (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
milestone: none → ubuntu-12.04.4
status: New → In Progress
Chris Halse Rogers (raof) wrote :

Hello Alberto, or anyone else affected,

Accepted screen-resolution-extra into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/screen-resolution-extra/0.14ubuntu2.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in screen-resolution-extra (Ubuntu Precise):
status: In Progress → Fix Committed
Chris Halse Rogers (raof) wrote :

Hello Alberto, or anyone else affected,

Accepted lightdm into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/lightdm/1.2.3-0ubuntu2.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Hello

watchout for bug #1262752 "nvidia_304 not blacklisted or removed when nvidia_304_updates is installed"

Besides I'd like to draw your attention to the fact that Kubuntu 12.04 initially was supllied without support of LightDM, thus the last update to it's greeter lightdam-kde-greeter was somewhat in April 2012.

Even though it has matured in younger versions of Kubuntu.

Some packages listed here get updated w/o approval already?

Alberto, can you pls include the last patch from Trusty's nvidia-prime_0.5.2 ?

https://launchpadlibrarian.net/160288342/nvidia-prime_0.5.1_0.5.2.diff.gz

Single GPU users would appreciate this on KDE/GDM.

Thanks in advance & best wishes to you for the new year.

Alberto Milone (albertomilone) wrote :

bug #1262752 should be fixed in the nvidia-304 in precise-proposed.

As for nvidia-prime, that change makes sense in 14.04, where nvidia-prime is recommended by nvidia-$flavour. The same doesn't apply to 12.04 though, where only Jockey installs nvidia-prime on systems with 2 GPUs.

P.S. happy new year to you ;)

Bartosz Kosiorek (gang65) wrote :

I installed nvidia-graphics-drivers-304-updates and nvidia-graphics-drivers-304 from precise-proposed and intense test it (by playing games on Steam).
It works perfeclty for me.

Verification done for nvidia-graphics-drivers-304 drivers

As a part of the Stable Release Updates quality process a search for Launchpad bug reports using the version of nvidia-settings from precise-proposed was performed and bug 1268027 was found. Please investigate this bug report to ensure that a regression will not be created by this SRU. In the event that this is not a regression remove the "verification-failed" tag from this bug report and tag 1268027 "bot-stop-nagging". Thanks!

tags: added: verification-failed

Hello Alberto, or anyone else affected,

Accepted nvidia-prime into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/nvidia-prime/0.5~hybrid0.0.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in nvidia-prime (Ubuntu Precise):
status: In Progress → Fix Committed
tags: removed: verification-failed

As a part of the Stable Release Updates quality process a search for Launchpad bug reports using the version of nvidia-settings from precise-proposed was performed and bug 1268027 was found. Please investigate this bug report to ensure that a regression will not be created by this SRU. In the event that this is not a regression remove the "verification-failed" tag from this bug report and tag 1268027 "bot-stop-nagging". Thanks!

tags: added: verification-failed
tags: removed: verification-failed
Changed in jockey (Ubuntu):
assignee: nobody → Alberto Milone (albertomilone)
importance: Undecided → Medium
status: New → In Progress
milestone: none → ubuntu-12.04.4
tags: added: verification-failed

Hello there!

With reference to comment#8 : Could 304 drivers kindly get released? There is the urge to close bug #1262752

tags: added: bot-stop-nagging
removed: verification-failed
Colin Watson (cjwatson) on 2014-01-27
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bbswitch - 0.7-2ubuntu0.0.1

---------------
bbswitch (0.7-2ubuntu0.0.1) precise-proposed; urgency=low

  * Initial release (LP: #1259237).
 -- Alberto Milone <email address hidden> Wed, 11 Dec 2013 15:33:18 +0100

Changed in bbswitch (Ubuntu Precise):
status: In Progress → Fix Released

The verification of the Stable Release Update for bbswitch has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-331-updates - 331.20-0ubuntu0.0.1

---------------
nvidia-graphics-drivers-331-updates (331.20-0ubuntu0.0.1) precise-proposed; urgency=low

  * Initial release (LP: #1259237).
 -- Alberto Milone <email address hidden> Tue, 10 Dec 2013 12:42:45 +0100

Changed in nvidia-graphics-drivers-331-updates (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-304 - 304.116-0ubuntu0.0.1

---------------
nvidia-graphics-drivers-304 (304.116-0ubuntu0.0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1259237):
    - Improved compatibility with recent Linux kernels.
    - Updated the NVIDIA OpenGL driver to write temporary files to
      $TMPDIR if it is set, instead of unconditionally writing to
      /tmp (LP: #1212425).
    - Updated a fallback of writing temporary files to $HOME/.nvidia
      to use $HOME/.nv instead, as the latter path is already used
      for other NVIDIA driver related files.

  [ Alberto Milone ]
  * debian/substvars:
    - Add support for lts flavours up to saucy.
  * debian/templates/control.in:
    - Depend on lib32gcc1 [amd64], libc6-i386 [amd64]
      (LP: #1236945).
    - Drop lpia.
  * debian/templates/dkms.conf.in:
    - Drop patch for Linux 3.10.
  * debian/rules:
    - Blacklist the opposite flavour.
    - Blacklist kernel modules from the other flavours.
    - Add the download-sources target.
  * debian/templates/nvidia-graphics-drivers.dirs.in,
    debian/templates/nvidia-graphics-drivers.install.in,
    debian/templates/nvidia-graphics-drivers.override.in,
    debian/templates/nvidia-graphics-drivers.postinst.in,
    debian/nvidia-autostart.desktop.in,
    debian/ubuntu-nvidia-settings.desktop.in:
    - Remove nvidia-settings icon, desktop file, and autostart file.
      This is all provided by nvidia-settings now.
  * debian/templates/nvidia-graphics-drivers.prerm.in,
    debian/templates/nvidia-graphics-drivers.install.in,
    debian/templates/nvidia-graphics-drivers.postinst.in:
    - Disable glamoregl.
    - Do not update gmenucache any more.

  [ Andy Dick ]
  * debian/templates/nvidia-graphics-drivers.preinst.in:
    - Attempt uninstallation of any existing .run file
      installation before installing Debian-packaged
      driver.
  * debian/templates/nvidia-graphics-drivers.postinst.in:
    - Add libcuda.so symlinks in /usr/lib*.
  * debian/rules:
    - Conditionalize the copying of Makefile.kbuild to
      Makefile. This adds support for newer drivers,
      while maintaining support for packaging older drivers.
    - Avoid extracting unnecessary .run files. The 64-bit
      package needs both the 32- and 64-bit .run files, but
      the 32-bit package does not. Change the unpackaging
      rules to unpack only the native package by default,
      and only unpack the 32-bit x86 package on amd64.
      Also, instead of changing the .run file permissions
      to ensure that the .run file is executable, just call
      it as an argument to sh.
    - Don't assume that extracted files are writable.
      The package contents extracted from some .run file
      installers may not have write permissions enabled.
      To work around this, move files instead of copying
      them to a temporary location before running sed
      scripts, and add force flags to applicable commands.
 -- Alberto Milone <email address hidden> Wed, 11 Dec 2013 14:07:02 +0100

Changed in nvidia-graphics-drivers-304 (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-331 - 331.20-0ubuntu0.0.1

---------------
nvidia-graphics-drivers-331 (331.20-0ubuntu0.0.1) precise-proposed; urgency=low

  * Initial release (LP: #1259237).
 -- Alberto Milone <email address hidden> Tue, 10 Dec 2013 09:25:58 +0100

Changed in nvidia-graphics-drivers-331 (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-settings - 331.20-0ubuntu0.0.1

---------------
nvidia-settings (331.20-0ubuntu0.0.1) precise-proposed; urgency=low

  * debian/patches/series:
    - Do not apply 01_allow_dark_themes.dpatch.
  * debian/patches/07_remove_features_for_legacy.patch:
    - Do not expose features that are not available in the legacy
      drivers.
  * debian/patches/08_add_prime_support.patch:
    - Add support for PRIME switching. An additional
      tab provides support for switching between GPUs.
      This is only visible if nvidia-prime (>= 0.5) is
      installed and reports that the system supports
      hybrid graphics. No hard dependency on nvidia-prime
      is therefore required (LP: #1259237).
  * debian/patches/09_do_not_complain_if_nvidia_is_missing.patch:
    - Disable the warning dialog since it suggests to run
      nvidia-xconfig, which we don't need. This would also break
      PRIME.
  * debian/control.in, debian/postinst.in, debian/postrm.in,
    debian/prerm.in, debian/rules:
    - Drop alternatives and remove templates, as we only have
      one nvidia-settings for all the driver flavours.
  * debian/dirs, debian/install,
    debian/nvidia-settings-autostart.desktop,
    debian/nvidia-settings.desktop:
    - Install the icon and the desktop files.
  * debian/control:
    - Add ${misc:Depends}.
    - Build depend on libvdpau-dev and depend on libvdpau1.
    - Create transitional packages for 319, 319-updates, 313-updates,
      310, 310-updates, 304, 304-updates, experimental-304, updates.
    - Remove lpia.
    - Depend on screen-resolution-extra (>= 0.14ubuntu2.1).
  * debian/rules:
    - Pass the destdir argument in uppercase to match the variable.
    - Add download-sources target.
    - Clean action in rules to target "clean" instead of "distclean".
    - Do not compress .c and .mk files.
 -- Alberto Milone <email address hidden> Wed, 11 Dec 2013 15:23:40 +0100

Changed in nvidia-settings (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-graphics-drivers-304-updates - 304.116-0ubuntu0.0.1

---------------
nvidia-graphics-drivers-304-updates (304.116-0ubuntu0.0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1259237):
    - Improved compatibility with recent Linux kernels.
    - Updated the NVIDIA OpenGL driver to write temporary files to
      $TMPDIR if it is set, instead of unconditionally writing to
      /tmp (LP: #1212425).
    - Updated a fallback of writing temporary files to $HOME/.nvidia
      to use $HOME/.nv instead, as the latter path is already used
      for other NVIDIA driver related files.

  [ Alberto Milone ]
  * debian/substvars:
    - Add support for lts flavours up to saucy.
  * debian/templates/control.in:
    - Depend on lib32gcc1 [amd64], libc6-i386 [amd64]
      (LP: #1236945).
    - Drop lpia.
  * debian/templates/dkms.conf.in:
    - Drop patche for Linux 3.11.
  * debian/rules:
    - Blacklist the opposite flavour.
    - Blacklist kernel modules from the other flavours.
  * debian/templates/nvidia-graphics-drivers.dirs.in,
    debian/templates/nvidia-graphics-drivers.install.in,
    debian/templates/nvidia-graphics-drivers.override.in,
    debian/templates/nvidia-graphics-drivers.postinst.in,
    debian/nvidia-autostart.desktop.in,
    debian/ubuntu-nvidia-settings.desktop.in:
    - Remove nvidia-settings icon, desktop file, and autostart file.
      This is all provided by nvidia-settings now.
  * debian/templates/nvidia-graphics-drivers.prerm.in,
    debian/templates/nvidia-graphics-drivers.install.in,
    debian/templates/nvidia-graphics-drivers.postinst.in:
    - Disable glamoregl.
    - Do not update gmenucache any more.

  [ Andy Dick ]
  * debian/templates/nvidia-graphics-drivers.preinst.in:
    - Attempt uninstallation of any existing .run file
      installation before installing Debian-packaged
      driver.
  * debian/templates/nvidia-graphics-drivers.postinst.in:
    - Add libcuda.so symlinks in /usr/lib*.
  * debian/rules:
    - Conditionalize the copying of Makefile.kbuild to
      Makefile. This adds support for newer drivers,
      while maintaining support for packaging older drivers.
    - Avoid extracting unnecessary .run files. The 64-bit
      package needs both the 32- and 64-bit .run files, but
      the 32-bit package does not. Change the unpackaging
      rules to unpack only the native package by default,
      and only unpack the 32-bit x86 package on amd64.
      Also, instead of changing the .run file permissions
      to ensure that the .run file is executable, just call
      it as an argument to sh.
    - Don't assume that extracted files are writable.
      The package contents extracted from some .run file
      installers may not have write permissions enabled.
      To work around this, move files instead of copying
      them to a temporary location before running sed
      scripts, and add force flags to applicable commands.
 -- Alberto Milone <email address hidden> Wed, 11 Dec 2013 14:02:39 +0100

Changed in nvidia-graphics-drivers-304-updates (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package screen-resolution-extra - 0.14ubuntu2.1

---------------
screen-resolution-extra (0.14ubuntu2.1) precise-proposed; urgency=low

  * nvidia-prime.py, screenresolution-mechanism.py,
    screenresolution-mechanism.policy.in, setup.py:
    - Add action and mechanism for Nvidia PRIME (LP: #1259237).
 -- Alberto Milone <email address hidden> Mon, 09 Dec 2013 19:38:14 +0100

Changed in screen-resolution-extra (Ubuntu Precise):
status: Fix Committed → Fix Released

Hello Alberto, or anyone else affected,

Accepted jockey into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/jockey/0.9.7-0ubuntu7.13 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

tags: removed: verification-done
tags: added: verification-needed
Alberto Milone (albertomilone) wrote :

I can confirm that the last two updates work correctly on my laptop:

Jockey detects the new drivers correctly:

~$ jockey-text -l
kmod:wl - Broadcom STA wireless driver (Proprietary, Disabled, Not in use) [auto-install]
xorg:nvidia_331 - NVIDIA accelerated graphics driver (Proprietary, Disabled, Not in use)
xorg:nvidia_331_updates - NVIDIA accelerated graphics driver (post-release updates) (Proprietary, Enabled, In use)

And the system works correctly with the new nvidia-prime.

:~$ apt-cache policy jockey-common
jockey-common:
  Installed: 0.9.7-0ubuntu7.13
  Candidate: 0.9.7-0ubuntu7.13
  Version table:
 *** 0.9.7-0ubuntu7.13 0
        400 http://archive.ubuntu.com/ubuntu/ precise-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     0.9.7-0ubuntu7.11 0
        500 http://it.archive.ubuntu.com/ubuntu/ precise-updates/main amd64 Packages
        500 http://security.ubuntu.com/ubuntu/ precise-security/main amd64 Packages
     0.9.7-0ubuntu7 0
        500 http://it.archive.ubuntu.com/ubuntu/ precise/main amd64 Packages

:~$ apt-cache policy nvidia-prime
nvidia-prime:
  Installed: 0.5~hybrid0.0.2
  Candidate: 0.5~hybrid0.0.2
  Version table:
 *** 0.5~hybrid0.0.2 0
        400 http://archive.ubuntu.com/ubuntu/ precise-proposed/main amd64 Packages
        100 /var/lib/dpkg/status
     0.4.2~hybrid0.0.1 0
        500 http://it.archive.ubuntu.com/ubuntu/ precise-updates/main amd64 Packages

Colin Watson (cjwatson) on 2014-02-03
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jockey - 0.9.7-0ubuntu7.13

---------------
jockey (0.9.7-0ubuntu7.13) precise-proposed; urgency=low

  * jockey/xorg_driver.py, tests/hybridgraphics.py:
    - Add support for systems with two or more AMD GPUs.
      This is very useful now that AMD's APUs have been
      released (LP: #1272311).
    - Adjust the tests so that they no longer fail when
      dealing with systems with multiple AMD GPUs (now
      dealt with by the fglrx-pxpress package).

jockey (0.9.7-0ubuntu7.12) precise-proposed; urgency=low

  * data/handlers/nvidia.py:
    - Add support for nvidia-331 and nvidia-331-updates
      (LP: #1259237).
 -- Alberto Milone <email address hidden> Fri, 24 Jan 2014 17:09:25 +0100

Changed in jockey (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nvidia-prime - 0.5~hybrid0.0.2

---------------
nvidia-prime (0.5~hybrid0.0.2) precise-proposed; urgency=low

  * debian/control:
    - Add alternative dependency on gdm and kdm.
  * debian/preinst.in:
    - Set the lightdm configuration bits only if lightdm is the
      default display manager (LP: #1262068).
  * debian/postrm.in, debian/rules:
    - Avoid calling dpkg-architecture (LP: #1264611).
  * prime-xconfig:
    - Format hexadecimal parameters properly (LP: #1252667).

nvidia-prime (0.5~hybrid0.0.1) precise-proposed; urgency=low

  * New upstream release:
    - Add support for power management (LP: #1259237).
  * debian/control:
    - Depend on upstart, bbswitch, lsb-release, lightdm >= 1.2.3-0ubuntu2.4,
      screen-resolution-extra (>= 0.14ubuntu2.1).
    - Build only for i386 and amd64.
 -- Alberto Milone <email address hidden> Mon, 13 Jan 2014 16:32:47 +0100

Changed in nvidia-prime (Ubuntu Precise):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lightdm - 1.2.3-0ubuntu2.4

---------------
lightdm (1.2.3-0ubuntu2.4) precise-proposed; urgency=low

  [ Robert Ancell ]
  * debian/patches/06_config_directory.patch:
    - Backport conf.d configuration support (LP: #1190425)

  [ Alberto Milone ]
  * debian/patches/07_add_display-stopped-script.patch:
    - Backport support for the display-stopped-script entry
      in the configuration file (LP: #1259237)
 -- Alberto Milone <email address hidden> Wed, 18 Dec 2013 14:31:49 +0100

Changed in lightdm (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers